// send a file to vti
// Copyright 2000 Joshua Seagoe
// Do what you want with this, but give me credit.

#include <windows.h>
#include <string.h>

// this will use the first vti window it finds
#define CALC_TITLE NULL

// this will use the first ti-86 vti window it finds
//#define CALC_TITLE "Virtual TI-86"

int WINAPI WinMain(
    HINSTANCE  hInstance,	// handle of current instance
    HINSTANCE  hPrevInstance,	// handle of previous instance
    LPSTR  lpszCmdLine,	// pointer to command line
    int  nCmdShow 	// show state of window
   )
{
	int i,len = strlen(lpszCmdLine);
	if (len==0) return 1;

	HWND hVTI = FindWindow("TEmuWnd",CALC_TITLE);
	if (hVTI == NULL) return 2;

	// send f10 (must use keydown)
	PostMessage(hVTI,WM_KEYDOWN,VK_F10,0);
	PostMessage(hVTI,WM_KEYUP,VK_F10,0);

	HWND hApp = FindWindow("TApplication",CALC_TITLE);
	HWND hDlg = FindWindow((const char *)32770,"Open");
	// wait for open dlg to exist
	while (hDlg==NULL)
		hDlg = FindWindow((const char *)32770,"Open");
	/* according to spy++, the hApp window is the parent
	   of the hDlg window, but the hDlg window is not a
	   child of the hApp window.  :6
	*/
	while (hDlg!=NULL && GetParent(hDlg)!=hApp)
		hDlg = FindWindowEx(NULL,hDlg,(const char *)32770,"Open");

	HWND hEdit = NULL;
	// wait for edit field to be created
	while (hEdit == NULL)
		hEdit = FindWindowEx(hDlg,NULL,"Edit",NULL);

	// send filename
	for (i=0;i<len;i++) {
		SendMessage(hEdit,WM_CHAR,lpszCmdLine[i],0);
	}
	// hit the ok button
	PostMessage(hDlg,WM_COMMAND,IDOK,IDOK);

	return 0;
}


